@import 'reset.css';

/* ---------------------- VARIABLES ---------------------- */

$titleColor : red;

/* ---------------------- FONT-FACES ---------------------- */

@font-face{
  font-family: 'ocr';
  src: url('../fonts/deja-vu/DejaVuSansMono.ttf');
}

@font-face{
  font-family: 'substitut';
  src: url('../fonts/substitut/substitut.ttf');
}


/* ---------------------- GLOBAL ---------------------- */

html{

  font-size: 14px;
}

body{

  font-family: 'ocr', 'substitut';
  line-height: 1.5rem;


  *{

    box-sizing: border-box;

  }

  .errors{

    color: $titleColor;
    margin: 0 0 2rem 0;
  }

  .messages{

    margin: 0 0 1.5rem 15%;
  }

  .clear{

    clear: both;
  }

  a{

    text-decoration: none;
    color: inherit;

    &:hover{

      color: $titleColor;

    }
  }

  input{

    border: 0;
  }

  .sign{

    font-family: monospace;
  }

}

/* ---------------------- NAV ---------------------- */


body{

  padding: 1rem 0 4.5rem 0;

  >header{

   position: fixed;
   width: 15%;
   left: 0;
   top: 0;
   padding: 1.5rem 3rem 1rem 1.5rem;
   height: 100vh;


   .tester{

    position: fixed;
    right: 1.5rem;
    width: 15%;
    top: 0;
    padding: 2rem 1.5rem 1.5rem 1.5rem;
    height: 100vh;

    input{
      background-color: #fff;
    }
  }

  h1{

    margin: 0 0 3rem 0;
    width: 100%;
    text-transform: uppercase;
    font-size: 1.5rem;
    line-height: 2rem;
    padding: 0 25% 0 0;

  }

  h2{

    text-transform: uppercase;
  }


  .font-nav{

       counter-reset: parts;


  h2::before{

    counter-increment: parts;
    content: counter(parts, upper-roman) ".\000A";
  }

  h2:hover{

    color: red;
    cursor: pointer;
  }
}
  .tester{

    ul{

      margin: 1.5rem 0 0 0;
    }
  }

  .font-nav{

    margin: 1rem 0 1.5rem 0;

    .tagLists{

      margin: 0 0 0.5rem 0;

      .tagList.open{

        h4:hover::after{

          content: "-";
          float: right;

        }

        h4{

          color: $titleColor;
        }

        >ul{

          display: block;

        }

      }

      .tagList{


        h4::before{

          content: "⤷ ";
        }

        h4:hover{

          color: $titleColor;
          cursor: pointer;

        }

        h4:hover::after{

          content: "+";
          float: right;

        }

        >ul{

          display: none;
          margin: 0 0 0.5rem 0;

          li{

            display: flex;

          }

          li:hover{

            cursor: pointer;
            color: $titleColor;
          }

          li::before{

            content: "◯ ";
            font-size: 0.8rem;
            padding: 0 1rem 0 0;

          }

          li.on:hover::before{

            color: #000;
          }

          li.on::before,
          li:hover::before{

            color: $titleColor;
            content: "◉ ";
          }
        }

      }
    }

  }

  .tester{

    margin: 0 0 3rem 0;

    >ul{


      li{
        >span{

          display: inline-block;
        }

        >span:first-of-type{

          //width: 35%;
          margin: 0 1.5rem 0 0;

        }

        .active{

          color: $titleColor;
        }

        input{

          display: inline;
          width: 3rem;
          height: 1rem;
          color: $titleColor;
        }

        input[name="font-size"]{

          width: 5rem;

        }

        input#search_query{

          width: 6rem;
          color: black;

        }
      }


    }
  }
}
nav{



  .links{



    >ul, >div{

      padding: 0 1.5rem 0 0;
    }


  }
  h4:hover::after{

    float: right;
    content: "+";
  }

  .accounts,
  .fonts{


    ul{

     display: none;

     li::before{

      content: "- ";

    }
  }

}

.accounts:hover,
.fonts:hover{

  cursor: pointer;

  ul{

    display: block;
  }

}

#search{

  margin: 1.5rem 0 0 0;
}
}

main{

  width: 100%;
  padding: 0 0 0 15%;
}
}


/* ---------------------- SPECNAV ---------------------- */

#specNav{

  position: fixed;
  top: 50px;
  left: 0;
  right: 0;
  margin-left: 16%;
  height: 20px;
  border-bottom: 1px solid black;

  li{

    padding: 0 10px;
    cursor: pointer;

    &:hover, &.current{

      text-decoration: $titleColor;

    }
  }
}

/* ---------------------- HOME ---------------------- */

.home{

  main{

    padding: 0 20% 0 15%;
    counter-reset: parts;

    section{

      >h2{

        width: 100%;
        margin: 0 0 1.5rem 0;
        padding: 1rem 0 0 0;
        text-transform: uppercase;
      }

    }

    h2::before{

      counter-increment: parts;
      content: counter(parts, upper-roman) ". ";
      display: inline-block;
      margin: 0 1.5rem 0 0;
    }

    >section{

      margin: 0 0 4.5rem 0;

    }

    #index{

      display: flex;
      flex-wrap: wrap;

      .font-preview{

        width: 25%;

        h3{

          margin: 0 0 1.5rem 0;
        }

        ul{

          font-size: 1.5rem;
          line-height: 2rem;
          color: #000000;

        }

      }
    }

    >#fonts{

      .font.hidden{

        display: none;
      }

      .font{
        z-index: 1;
        margin: 0 0 6rem 0;

        header{

          width: 100%;
          margin: 0 0 1.5rem 0;
          display: flex;
          flex-wrap: wrap;

          h3{

            font-size: 1.5rem;
            line-height: 2rem;
            width: 25%;
            color: #000;

            form{

              display: inline;

              input{

                display: inline-block;
                background-color: white;
                font-size: 1.5rem;
                transform: rotate(90deg);

              }

              input:hover{

                color: $titleColor;
                cursor: pointer;
              }
            }
          }

          ul{

            width:75%;
            padding: 0.5rem 0 0 0;
            display: flex;
            flex-wrap: wrap;

            li{

              width: calc(100% / 3);
            }

            .styles{

              span{

                display: block;
              }

              .title{

                color:$titleColor;

              }
            }
          }
        }

        .infos{

          width: 100%;
          margin: 0 0 1.5rem 0;
          display: flex;
          flex-wrap: wrap;

          .name{

            margin: 0 0 3rem 0;

          }

          .designer{

            margin: 0 0 3rem 0;
          }

          li{

            width: 25%;

            .title, .value{

              display: block;

            }

            .title{

              color: $titleColor;
            }

            .value{


            }

          }

        }

        .moreFonts{

          display: none;
        }

        .moreFonts.open{

          display: block;
        }

        .showMoreFonts{

          display: inline-block;
          text-transform: uppercase;

          .sign{

            display: inline-block;
            margin: 0 1.5rem 0 0;
            padding: 0 0.25rem 0 0.25rem;
            line-height: 1.25rem;
            border-radius: 5rem;
            border: solid 1px;

          }

        }

        .showMoreFonts:hover{

          color: $titleColor;
          cursor: pointer;
        }



        .moreFonts,
        .regular{

          width: 100%;

          h4{

            color: $titleColor;
            margin: 0 0 0.5rem 0;
          }

          >input{

            width: 100%;
            border: 0;
            white-space: nowrap;
            font-family: inherit;
            font-size: 100px;
            margin: 0 0 0.5rem 0;
          }

        }

      }

    }

    #about{

      #credits{

        margin: 1.5rem 0 0 0;

        h3{

          margin: 0 0 1.5rem 0;

        }

        p{

          margin: 0 0 1.5rem 0;
        }

        ul{

          .title{

            color: $titleColor;
          }

        }

      }
    }

  }

}
/* ---------------------- FONT INFOS (SPECIMEN) ---------------------- */

#fontInfos{
  position: fixed;
  top: 0;
  bottom: 0;
  padding-top: 75px;
  width: 15%;
  border-right: 1px solid black;
  line-height: 1.4em;
  ul, li{
    display: block;
  }
  li{
    margin-left: 9px;
  }
  h1{
    padding-bottom: 10px;
  }
}

/* ---------------------- SPECIMEN ---------------------- */

body.specimen{

  width: 85%;
  margin-top: 75px;
  padding-left: 20px;
  text-align: left;

  p{

    input{

      background: transparent;
      width: 100%;
      border: 0;
      white-space: nowrap;
      font-family: inherit;

    }

  }

  .part{


    h2{

      margin-top: 15px;

    }

    h2, .size{

      font-family: 'ocr';
      margin-bottom: 15px;

    }

  }

  .waterfall input{

    text-align: left;

  }

  .layout{

    h3{

      font-size: 100px;

    }

    h3, p{

      margin: 0;
      padding: 10px;
      line-height: 1.15em;
    }

    .headline{

      font-size: 50px;

    }

    .col{

      font-size: 20px;
      padding: 10px;
      width: calc(50% - 40px);

    }
  }

  .az{

    white-space: normal !important;
    text-align: center;
    font-size: 100px;
    margin: 0;
    padding-right: 20px;
    line-height: 1.3em;

  }

  .approche{

    font-size: 30px;

  }

  .charMap canvas{

    margin-top: 200px;

  }

}

/* ---------------------- ABOUT ---------------------- */


/* ---------------------- BACK ACCESS PAGES ---------------------- */

.check-font,
.about,
.modify-font,
.upload,
.new-account,
.login,
.account,
.home{

  >header{

    h1{

      width: 100%;
    }
  }

  .invisible{

    display: none;
  }


  .message{

    margin: 0 0 3rem 0;

    p{

      margin: 0 0 2.75rem 0;
      width: 50%;
    }
  }

  .buttonContent{

    width: 80%;

  }
  main{

    h2{

      width: 100%;
      font-size: 1.5rem;
      margin: 0 0 3rem 0;
    }

    form{

      display: flex;
      flex-wrap: wrap;



      h3{

        margin: 1rem 0 2rem 0;
        padding: 0 0 0.25rem 0;
        width: 80%;
        border-bottom: solid 1px;
        color: $titleColor;

      }



      >div:not(.submit):not(.family){

        width: 50%;
        display: flex;
        flex-wrap: wrap;
        margin: 0 0 6rem 0;
      }

      >div.family{

        width: 100%;

      }

      >div:not(.submit){

        label,
        h4{

          display: inline-block;
          width: 30%;
          color: #03658f;

        }

        .radio{

          margin: 0 0 1.5rem 0;

          label.title{

            width: 100%;
            padding: 0 0 0.5rem 0;
          }

          label:not(.title),
          input{

            width: inherit;
            margin: 0 1.5rem 0 1px;

          }
        }
        label[data-multiple="true"]{

          margin: 0 0 1rem 0;
        }

        #addButt{

          margin: 0 0 1rem 37.5%;
        }

        .subfield{

          background-color: #f2f3f4;
          width: calc(80% + 0.75rem);
          padding: 1rem;
          margin: 0 0 1rem 0;

          label{

            width: 37.5%;
          }

          button{

            margin: 0 0 0 37.5%;
          }


        }

        input, textarea{

          width: 50%;
          margin: 0 0 1rem 0;
          font-family: "ocr";
          font-size: 1rem;
        }

        input{

          height: 1.5rem;

        }

        textarea{

          height: 6rem;

        }

        select{

          display: inline-block;
        }


        input.hidden{

          display: none;

        }

        textarea,
        input:not([readonly]):not([type="file"]){

          background-color: #f2f3f4;
          border: none;

        }

        .subfield{

          textarea,
          input:not([readonly]){

            background-color: #ffffff;
          }

        }
        input.wrong{

          background-color: $titleColor;
          color: #ffffff;
        }

        label.required::after{

          content: "*";
          color:$titleColor;

        }

        label.tags::after{

          content: "[]";
          color:$titleColor;

        }



        .charset{

          word-break: break-all;
          padding: 1rem;
          font-size: 2rem;
          line-height: 3rem;
          margin: 0 0 2rem 0;
          width: 85%;
          background-color: #f2f3f4;

          span{

            width: 2rem;
            display: inline-block;
            text-align: center;
          }

        }

        .tag{

          display: inline-block;
          margin: 0 1rem 0 0;
          background-color: $titleColor;
          color: #ffffff;
        }
      }

      .submit{

        width: 100%; 

        input[type="submit"]{

          background-color: $titleColor;
          color: white;
          height: 3rem;
          width: 12rem;
          margin: 0 0 1.5rem 0;
          font-size: 1rem;
          font-family: "ocr";
        }

      }

    }

  }
}

@media only screen and (max-width: 1300px){

  html{

    font-size: 12px;
  }
}
